Bug 280585 - braindump crashes on start
Summary: braindump crashes on start
Status: RESOLVED FIXED
Alias: None
Product: braindump
Classification: Applications
Component: application (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Cyrille Berger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-22 16:45 UTC by agazo
Modified: 2011-08-26 09:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description agazo 2011-08-22 16:45:54 UTC
Application: braindump (0.10.0)
KDE Platform Version: 4.7.00 (4.7.0)
Qt Version: 4.8.0
Operating System: Linux 2.6.40-4_1.cubbi_tuxonice.fc15.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
braindump crashes every time it is started. It is installed from kde-unstable repo, RPM is calligra-braindump-2.3.74-2.fc15.x86_64

The crash can be reproduced every time.

-- Backtrace:
Application: Braindump (braindump), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[KCrash Handler]
#6  0x00007f97b5b26957 in KoToolProxy::hasSelection (this=<optimized out>) at /usr/src/debug/calligra-2.3.74/libs/flake/KoToolProxy.cpp:435
#7  0x00007f97b5ad7562 in KoCopyController::hasSelection (this=0x86a3ea0, selection=<optimized out>) at /usr/src/debug/calligra-2.3.74/libs/flake/KoCopyController.cpp:103
#8  0x00007f97b5ad73d1 in KoCutController::KoCutController (this=0x86a3ea0, canvas=<optimized out>, cutAction=0x2389360) at /usr/src/debug/calligra-2.3.74/libs/flake/KoCutController.cpp:25
#9  0x0000000000424527 in View::createCanvas (this=0x23894f0, _currentSection=0x0) at /usr/src/debug/calligra-2.3.74/braindump/src/View.cpp:282
#10 0x0000000000425256 in View::initGUI (this=0x23894f0) at /usr/src/debug/calligra-2.3.74/braindump/src/View.cpp:140
#11 0x0000000000426176 in View::View (this=0x23894f0, document=0x21e4b60, parent=0x235f6a0) at /usr/src/debug/calligra-2.3.74/braindump/src/View.cpp:93
#12 0x0000000000418dde in MainWindow::MainWindow (this=0x235f6a0, document=<optimized out>, componentData=..., __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/src/debug/calligra-2.3.74/braindump/src/MainWindow.cpp:62
#13 0x0000000000413476 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/calligra-2.3.74/braindump/src/main.cpp:46

Reported using DrKonqi
Comment 1 Cyrille Berger 2011-08-26 09:32:09 UTC
Git commit 0628e74ff33b61cb62120fc74cf55c8eb1a42115 by Cyrille Berger.
Committed on 26/08/2011 at 11:31.
Pushed by berger into branch 'master'.

Fix: crash at braindump startup

There is no active tools when the copy controller is initialised.

BUG:280585

M  +1    -1    libs/flake/KoToolProxy.cpp

http://commits.kde.org/calligra/0628e74ff33b61cb62120fc74cf55c8eb1a42115